import { jsx as i } from "@emotion/react/jsx-runtime";
import { CheckBox as l } from "../../../extended/mui/CheckBox/CheckBox.js";
function h(a) {
  const { row: e, onRowChange: r, column: o } = a, n = o.disabledKey, s = n ? !e[n] : !1, c = () => {
    if (s)
      return;
    const t = { ...e };
    t[o.key] = !e[o.key], r(t);
  };
  return /* @__PURE__ */ i(
    l,
    {
      size: "small",
      checked: e[o.key] || !1,
      disabled: s,
      onChange: c
    }
  );
}
export {
  h as ColumnInteractiveCheckFormatter
};
